package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name="kmt_exercise_book_count")
public class KmtExerciseBookCount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String exerciseBookId;
    private String bookId;
    private String bookName;
    private String courseName;
    private String grade;
    private Integer semester;
    private Integer version;
    private Integer bookType;
    private String userId;
    private Integer type;
    private Integer unprocessedCount;
    private Integer repulseCount;
    private Integer processedCount;
    private Integer unfinishedUnitCount;
    private Integer totalUnitCount;
    private Integer bookStatus;
    private Integer accuracy;
    private Date updateTime;
    private Date createTime;

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getBookId() {
        return bookId;
    }

    public void setBookId(String bookId) {
        this.bookId = bookId;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getBookType() {
        return bookType;
    }

    public void setBookType(Integer bookType) {
        this.bookType = bookType;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getUnprocessedCount() {
        return unprocessedCount;
    }

    public void setUnprocessedCount(Integer unprocessedCount) {
        this.unprocessedCount = unprocessedCount;
    }

    public Integer getRepulseCount() {
        return repulseCount;
    }

    public void setRepulseCount(Integer repulseCount) {
        this.repulseCount = repulseCount;
    }

    public Integer getProcessedCount() {
        return processedCount;
    }

    public void setProcessedCount(Integer processedCount) {
        this.processedCount = processedCount;
    }

    public Integer getUnfinishedUnitCount() {
        return unfinishedUnitCount;
    }

    public void setUnfinishedUnitCount(Integer unfinishedUnitCount) {
        this.unfinishedUnitCount = unfinishedUnitCount;
    }

    public Integer getTotalUnitCount() {
        return totalUnitCount;
    }

    public void setTotalUnitCount(Integer totalUnitCount) {
        this.totalUnitCount = totalUnitCount;
    }

    public Integer getBookStatus() {
        return bookStatus;
    }

    public void setBookStatus(Integer bookStatus) {
        this.bookStatus = bookStatus;
    }

    public Integer getAccuracy() {
        return accuracy;
    }

    public void setAccuracy(Integer accuracy) {
        this.accuracy = accuracy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
